<?php get_header(); // ヘッダー ?>

<?php dynamic_sidebar( 'article-top' ); // ウィジェット ?>

<main role="main">
  <article class="article block">
    <?php if ( have_posts() ): while ( have_posts() ): the_post(); ?>
      <?php
      // アイキャッチ画像の情報を取得
      $image = wp_get_attachment_image_src( $post->id, 'full-size');

      if ( isset($image)) { // アイキャッチ画像がある場合
        $image = '<img src="' . $image[0] . '">';

        if ( get_the_excerpt() ) { // キャプションがある場合
          $caption = '<div class="article-eyecatch__caption">' . get_the_excerpt() . '</div>';
        }

        $image = '<div class="article-eyecatch block">' . $image . $caption . '</div>';
      }

      // カスタマイザー設定：アイキャッチ画像の位置
      switch ( get_theme_mod( 'customize_eyecatch_position_post' ) ) {
        case 'top': // タイトルの上
          $article_eyecatch_1 = $image;
          break;
        case 'none': // 表示しない
          break;
        default: // タイトルの下（初期値）
          $article_eyecatch_2 = $image;
          break;
      }
      ?>

      <?php echo $article_eyecatch_1; // アイキャッチ画像：タイトルの上 ?>

      <!-- タイトル -->
      <div class="article-header block">
        <h1 class="article-title">
          <?php the_title(); ?>
        </h1>
      </div>

      <?php echo $article_eyecatch_2; // アイキャッチ画像：タイトルの下 ?>

      <!-- 本文 -->
      <div class="article-body">
        <?php the_content(); // 説明 ?>

        <?php wp_link_pages(); ?>
        <?php endwhile; else: ?>
          <p>記事がありません</p>
        <?php endif; ?>
      </div>
  </article>
</main>

<?php dynamic_sidebar( 'article-body-bottom' ); // ウィジェット ?>

<?php // ツイート・シェアボタン：本文の下
switch ( get_theme_mod( 'customize_sns_position_post' ) ) {
  case 'none':
    break;
  default:
    get_template_part( 'template-parts/sns-button' );
    break;
} ?>

<?php if ( is_active_sidebar( 'article-bottom' ) ): ?>
  <div class="article-bottom">
    <?php dynamic_sidebar( 'article-bottom' ); // ウィジェット ?>
  </div>
<?php endif; ?>

<?php get_footer(); // フッター ?>