        </div>
        <?php
        // カスタマイザー設定：サイドバーの位置
        switch ( get_theme_mod( 'customize_sidebar' ) ) {
          case 'left': // 左
            $layout_sidebar = 'sidebar--left';
            break;
          case 'none': // 表示しない
            $layout_sidebar = 'sidebar--none';
            break;
          default: // 右（初期値）
            $layout_sidebar = 'sidebar--right';
            break;
        }
        ?>
        <?php if ( $layout_sidebar !== 'sidebar--none' ): ?>
          <div id="sidebar" class="sidebar <?php echo $layout_sidebar; ?> sub-area" role="complementary">
            <?php dynamic_sidebar( 'sidebar-1' ); // ウィジェット ?>
          </div>
        <?php endif; ?>
      </div>
    </div>

    <?php if ( is_active_sidebar( 'footer' ) ||
               is_active_sidebar( 'footer-2' ) ||
               is_active_sidebar( 'footer-3' ) ): ?>
      <input id="footer-check" class="footer-check" type="checkbox" value="off">
      <label class="footer-button" for="footer-check"></label>
    <?php endif; ?>

    <!-- フッター -->
    <footer id="footer" class="footer sub-area">
      <?php if ( is_active_sidebar( 'footer' ) ||
                 is_active_sidebar( 'footer-2' ) ||
                 is_active_sidebar( 'footer-3' ) ): ?>
        <div class="footer__row">
          <div class="footer__container footer__top">
            <?php if ( is_active_sidebar( 'footer' ) ): ?>
              <div class="footer__top__column">
                <?php dynamic_sidebar( 'footer' ); // ウィジェット：フッター1 ?>
              </div>
            <?php endif; ?>
            <?php if ( is_active_sidebar( 'footer-2' ) ): ?>
              <div class="footer__top__column">
                <?php dynamic_sidebar( 'footer-2' ); // ウィジェット：フッター2 ?>
              </div>
            <?php endif; ?>
            <?php if ( is_active_sidebar( 'footer-3' ) ): ?>
              <div class="footer__top__column">
                <?php dynamic_sidebar( 'footer-3' ); // ウィジェット：フッター3 ?>
              </div>
            <?php endif; ?>
          </div>
        </div>
      <?php endif; ?>

      <div class="footer__row">
        <div class="footer__container footer__bottom">
          <?php if ( has_nav_menu( 'footer-menu' ) ): ?>
            <?php wp_nav_menu( array(
              'theme_location' => 'footer-menu',
              'fallback_cb'    => '',
              'container_id'   => 'footer-menu',
              'container'      => 'nav' ) ); ?>
          <?php endif; ?>
          <p class="footer__copyright" role="contentinfo">
            &copy; <?php bloginfo( 'name' ); ?>
            <?php
            // ステップレスのコピーライト表記を消す場合は以下の span を削除してください。
            // 消しても問題ありませんが「こういうテーマがあったよ」と宣伝してもらえるとうれしいです。
            ?>
            <span class="footer__theme-copyright">Theme : <a href="http://stepress.com/">STEPRESS</a></span>
          </p>
        </div>
      </div>
    </footer>

    <?php if ( get_theme_mod( 'customize_layout_type', 'a') == 'b' ): // レイアウトタイプB ?>
      </div>
    <?php endif; ?>



    <?php // ドロワーメニュー
    if ( has_nav_menu( 'extra-menu' ) ||
         ( has_nav_menu( 'header-menu' ) && get_theme_mod( 'customize_hmenu_style_sp', 2 ) == 1 ) ): ?>
      <div class="drawer" id="drawer">
        <div class="drawer__icon"><span></span></div>
        <div class="drawer__close-area"></div>
        <div class="drawer__content">
          <div class="drawer__content__inner">
            <div class="drawer__close-button">
              <div class="drawer__close-button__icon"><span></span></div>
            </div>
            <?php
            // メインメニュー
            if ( has_nav_menu( 'header-menu' ) && get_theme_mod( 'customize_hmenu_style_sp', 2 ) == 1 ) {
                wp_nav_menu( array(
                  'theme_location'  => 'header-menu',
                  'container'       => 'nav',
                  'fallback_cb'     => '',
                  'container_id'    => 'drawer__header-menu',
                  'container_class' => 'drawer__menu',
                  'menu_id'         => 'drawer__header-menu__list',
                  'menu_class'      => 'drawer__menu__list',
                  'depth'           => 2,
                ) );
            }
            // 右上のメニュー
            if ( has_nav_menu( 'extra-menu' ) ) {
                wp_nav_menu( array(
                  'theme_location'  => 'extra-menu',
                  'container'       => 'nav',
                  'fallback_cb'     => '',
                  'container_id'    => 'drawer__extra-menu',
                  'container_class' => 'drawer__menu',
                  'menu_id'         => 'drawer__extra-menu__list',
                  'menu_class'      => 'drawer__menu__list',
                  'depth'           => 2,
                ) );
            } ?>
          </div>
        </div>
      </div>
    <?php endif; ?>
    
    

    <?php wp_footer(); ?>
    
    <script type="text/javascript">
    </script>
  </body>
</html>