<?php
 
/**
 * 無題表記
 */

function notitle_setup( $title = "" ) {
  $notitle = "無題";
  if ( strlen( $title ) === 0 ) {
    return $notitle;
  }
  return $title;
}

add_filter( 'the_title', 'notitle_setup' );



/**
 * 抜粋のスタイルを変える
 */

function custom_excerpt_more( $more ) {
	return ' …';
}
add_filter( 'excerpt_more', 'custom_excerpt_more' );

function custom_excerpt_length( $length ) {
  return 80;	
}

add_filter( 'excerpt_length', 'custom_excerpt_length', 999 );

  

/**
 * カテゴリー・アーカイブウィジェットの投稿数を</a>の内側に表示
 */
 
function wp_list_categories_count_replace( $output ) {
  $output = str_replace( "&nbsp;", " ", $output );
  $output = preg_replace( '/<\/a> \(([0-9]*)\)/', ' <span class="count">${1}</span></a>', $output );
  return $output;
}

add_filter( 'wp_list_categories', 'wp_list_categories_count_replace', 10, 2 );
add_filter( 'get_archives_link', 'wp_list_categories_count_replace', 10, 2 );



/**
 * ショートコード埋め込み整形
 */
 
function embed_replace( $the_content ) {
  if ( is_singular() ) {
    // YouTube：ショートコードで埋め込まれたら段落にクラスを追加
    $the_content = preg_replace( '/<p><iframe width="500"/i',
      '<p class="youtube-wrap"><iframe width="500"', $the_content );
    
    // Vimeo：ショートコードで埋め込まれたら段落にクラスを追加
    $the_content = preg_replace( '/<p><iframe src="https:\/\/player.vimeo.com/i',
      '<p class="youtube-wrap"><iframe src="https://player.vimeo.com', $the_content );
    
  }
  return $the_content;
}

add_filter( 'the_content','embed_replace' );



/**
 * カレンダーウィジェット整形
 */

function calendar_replace( $calendar ) {
  $calendar = str_replace( '&laquo; ', '', $calendar );
  $calendar = str_replace( ' &raquo;', '', $calendar );
 
  return $calendar;
}

add_filter( 'get_calendar', 'calendar_replace' );









