<?php get_header(); // ヘッダー ?>



<main role="main" class="block">
  <article class="article">

    <!-- タイトル -->
    <?php if ( ! is_front_page() ): ?>
      <div class="article-header block">
        <h1 class="article-title">
          <?php
            if ( is_category() ) {
              echo 'カテゴリー：';
              single_cat_title();
            } elseif ( is_tag() ) {
              echo 'タグ：';
              single_tag_title();
            } elseif ( is_tax() ) {
              single_term_title();
            } elseif ( is_day() ) {
              echo get_the_time( 'Y年n月j日' ) . 'の投稿';
            } elseif ( is_month() ) {
              echo get_the_time( 'Y年n月' ) . 'の投稿';
            } elseif ( is_year() ) {
              echo get_the_time( 'Y年' ) . 'の投稿';
            } elseif ( is_author() ) {
              echo esc_html( get_queried_object()->display_name );
            } else {
              the_title();
            }
          ?>
        </h1>
      </div>
    <?php endif; ?>
    
    

    <?php // ツイート・シェアボタン：一覧の上
    switch ( get_theme_mod( 'customize_sns_position_summary') ) {
      case 'top':
      case 'all':
        get_template_part( 'template-parts/sns-button' );
        break;
    } ?>



    <?php if ( is_active_sidebar( 'summary-top' ) ): ?>
      <div class="summary-top block">
        <?php dynamic_sidebar( 'summary-top' ); // ウィジェット ?>
      </div>
    <?php endif; ?>
    
    

    <!-- 投稿一覧 -->
    <?php get_template_part( 'template-parts/summary' ); ?>
    
  </article>
</main>



<?php if ( is_active_sidebar( 'summary-bottom' ) ): ?>
  <div class="summary-bottom block">
    <?php dynamic_sidebar( 'summary-bottom' ); // ウィジェット ?>
  </div>
<?php endif; ?>



<?php // ツイート・シェアボタン：一覧の下
switch ( get_theme_mod( 'customize_sns_position_summary' ) ) {
  case 'none':
  case 'top':
    break;
  default:
    get_template_part( 'template-parts/sns-button' );
    break;
} ?>



<?php get_footer(); // フッター ?>