jQuery(function($){

  /**
   * メインメニュー：ドロップダウン（タッチ操作用）
   */

  var header = $('#header');

  $('body').on('touchstart', function() {
    $('.menu-item-has-children > a.active', header).removeClass('active');
  });


  $('.menu-item-has-children > a', header).on('touchstart', function(e){
    if ($(e.target).hasClass('active')) {
      $(this).removeClass('active');
      return true;
    } else {
      $('.menu-item-has-children > a.active', header).removeClass('active');
      $(this).addClass('active');
      return false;
    }
  });


  /**
   * ヘッダー：検索フォーム
   */

  // 開く
  $('#header-search__form').on('touchstart click', function() {
    $('input[type="text"]', this).focus(); // スマホのレスポンスを改善
    $('#extra-menu', header).css('opacity', 0); // 右上のメニューを透明にする
  });

  // フォーカスが外れたら
  $('#header-search__form input[type="text"]').blur(function() {
    $('#extra-menu', header).css('opacity', 1); // 右上のメニューを表示する
  });


  /**
   * ドロワーメニュー：開閉
   */

  var drower = $('#drawer');
  var content = $('.drawer__content', drower);
  var close_area = $('.drawer__close-area', drower);

  // 開く
  $('.drawer__icon', drower).on('click', function() {
    content.addClass('open');
    close_area.show();
  });

  // 閉じる
  $('.drawer__close-button__icon', drower).on('click', function(){
    content.removeClass('open');
    close_area.hide();
  });

  close_area.on('touchstart click', function(){
    content.removeClass('open');
    close_area.hide();
  });


  /**
   * ドロワーメニュー：折りたたみ
   */

  $('.menu-item-has-children > a', drower)
    .wrap('<div class="parent-menu"></div>')
    .after('<div class="open-button"></div>');

  $('.menu-item-has-children .open-button', drower).on('touchstart click', function() {
    $(this).show();
    $(this).toggleClass('close');
    $(this).parent('.parent-menu').siblings('.sub-menu').slideToggle(200);
    return false;
  });



  /**
   * Instagram 埋め込み整形
   */

  $('.instagram-media').wrap('<div class="instagram-wrap"></div>');
});
