<?php get_header(); // ヘッダー ?>



<?php // ウィジェット：上
if ( is_active_sidebar( 'page-top' ) ): ?>
  <div class="widgets-page-top block">
    <?php dynamic_sidebar( 'page-top' ); // ウィジェット ?>
  </div>
<?php endif; ?>



<main class="block" role="main">
  <article class="article">
    <?php if ( have_posts() ): while ( have_posts() ): the_post(); ?>

      <?php
      // アイキャッチ画像の情報を取得
      if ( has_post_thumbnail() ) { // アイキャッチ画像がある場合
        $image = get_the_post_thumbnail( $post->ID, 'large' );

        if ( get_post( get_post_thumbnail_id() )->post_excerpt ) { // キャプションがある場合
          $caption = get_post( get_post_thumbnail_id() )->post_excerpt;
          $caption = '<div class="article-eyecatch__caption">' . $caption . '</div>';
        }

        $image = '<div class="article-eyecatch block">' . $image . $caption . '</div>';
      }

      // カスタマイザー設定：アイキャッチ画像の位置
      switch ( get_theme_mod( 'customize_eyecatch_position_page' ) ) {
        case 'top':  // タイトルの上
          $article_eyecatch_1 = $image;
          break;
        case 'none': // 表示しない
          break;
        default:     // タイトルの下（初期値）
          $article_eyecatch_2 = $image;
          break;
      }
      ?>



      <?php echo $article_eyecatch_1; // アイキャッチ画像 ?>



      <!-- 記事ヘッダー -->
      <?php if ( ! is_front_page() ): // トップページで非表示 ?>
        <div class="article-header block">
          <h1 class="article-title">
            <?php the_title(); ?>
          </h1>
        </div>
      <?php endif; ?>



      <?php echo $article_eyecatch_2; // アイキャッチ画像 ?>



      <?php // ツイート・シェアボタン：本文の上
      switch ( get_theme_mod( 'customize_sns_position_page' ) ) {
        case 'top':
        case 'all':
          get_template_part( 'template-parts/sns-button' );
          break;
      } ?>
      
      

      <?php // ウィジェット：本文の上
      if ( is_active_sidebar( 'page-body-top' ) ): ?>
        <div class="widgets-page-body-top block">
          <?php dynamic_sidebar( 'page-body-top' ); ?>
        </div>
      <?php endif; ?>



      <!-- 本文 -->
      <div class="article-body">
        <?php
        // 記事本文
        if ( empty( $post->post_content) ) {
          echo '<p>本文がありません。</p>';
        } else {
          the_content();
        }

        // ページ分割時にページャーを表示
        $pager = array(
        	'before'         => '<nav class="pagination-single" role="navigation"><div class="nav-links">',
        	'after'          => '</div></nav>',
        	'link_before'    => '<span>',
        	'link_after'     => '</span>',
        	'next_or_number' => 'number',
        	'separator'      => '',
        	'pagelink'       => '%',
        );
        wp_link_pages( $pager );
        ?>
      </div>

    <?php endwhile; endif; ?>
  </article>
</main>



<?php // ウィジェット：本文の下
if ( is_active_sidebar( 'page-body-bottom' ) ): ?>
  <div class="widgets-page-body-bottom block">
    <?php dynamic_sidebar( 'page-body-bottom' ); ?>
  </div>
<?php endif; ?>



<?php // ツイート・シェアボタン：本文の下
switch ( get_theme_mod( 'customize_sns_position_page' ) ) {
  case 'none':
  case 'top':
    break;
  default:
    get_template_part( 'template-parts/sns-button' );
    break;
} ?>



<?php comments_template(); // コメント ?>



<?php // ウィジェット：下
if ( is_active_sidebar( 'page-bottom' ) ): ?>
  <div class="widgets-page-bottom">
    <?php dynamic_sidebar( 'page-bottom' ); ?>
  </div>
<?php endif; ?>



<?php get_footer(); // フッター ?>
