<?php get_header(); // ヘッダー ?>



<?php // ウィジェット：上
if ( is_active_sidebar( 'post-top' ) ): ?>
  <div class="widgets-post-top block">
    <?php dynamic_sidebar( 'post-top' ); // ウィジェット ?>
  </div>
<?php endif; ?>



<!-- ページ送り -->
<?php if ( get_theme_mod( 'customize_articlepager', true) &&
           ( get_next_post() || get_previous_post() ) ): ?>
  <ul class="article-pager-top block">
    <?php $next_post = get_next_post(); ?>
    <li class="article-pager-top__post article-pager-top__post--next">
      <?php if ( $next_post ): ?>
        <a href="<?php echo get_permalink($next_post->ID); ?>"
          title="<?php echo esc_html($next_post->post_title); ?>">新しい記事</a>
      <?php else: ?>
        <span>新しい記事</span>
      <?php endif; ?>
    </li>
    <?php $prev_post = get_previous_post(); ?>
    <li class="article-pager-top__post article-pager-top__post--prev">
      <?php if ( $prev_post ): ?>
        <a href="<?php echo get_permalink( $prev_post->ID); ?>"
          title="<?php echo esc_html($prev_post->post_title); ?>">古い記事</a>
      <?php else: ?>
        <span>古い記事</span>
      <?php endif; ?>
    </li>
  </ul>
<?php endif; ?>



<main class="block" role="main">
  <article class="article">
    <?php if ( have_posts() ): while ( have_posts() ): the_post(); ?>

      <?php
      // アイキャッチ画像の情報を取得
      if ( has_post_thumbnail() ) { // アイキャッチ画像がある場合
        $image = get_the_post_thumbnail( $post->ID, 'large' );

        if ( get_post( get_post_thumbnail_id() )->post_excerpt ) { // キャプションがある場合
          $caption = get_post( get_post_thumbnail_id() )->post_excerpt;
          $caption = '<div class="article-eyecatch__caption">' . $caption . '</div>';
        }

        $image = '<div class="article-eyecatch block">' . $image . $caption . '</div>';
      }

      // カスタマイザー設定：アイキャッチ画像の位置
      switch ( get_theme_mod( 'customize_eyecatch_position_post' ) ) {
        case 'top': // タイトルの上
          $article_eyecatch_1 = $image;
          break;
        case 'none': // 表示しない
          break;
        default: // タイトルの下（初期値）
          $article_eyecatch_2 = $image;
          break;
      }
      ?>



      <?php echo $article_eyecatch_1; // アイキャッチ画像：タイトルの上 ?>



      <!-- 記事ヘッダー -->
      <div class="article-header block">
        <!-- タイトル -->
        <h1 class="article-title article-title--single">
          <?php the_title(); ?>
        </h1>

        <!-- 情報 -->
        <p class="article-meta">
          <!-- 投稿日時 -->
          <time class="article-meta__date" datetime="<?php the_time( 'c' ); ?>">
            <?php the_time( get_option( 'date_format' ) ); ?>
          </time>
          <!-- コメント数 -->
          <?php if ( comments_open() || pings_open() ): ?>
            <a href="<?php comments_link(); ?>" class="article-meta__comment">
              <?php comments_number( '0', '1', '%' ); ?>
            </a>
          <?php endif; ?>
        </p>

        <!-- カテゴリー・タグ -->
        <p class="article-tags">
          <span class="article-tags--categories"><?php the_category( ' ' ); ?></span>
          <?php the_tags('', '' ); ?>
        </p>
      </div>



      <?php echo $article_eyecatch_2; // アイキャッチ画像：タイトルの下 ?>



      <?php // ツイート・シェアボタン：本文の上
      switch ( get_theme_mod( 'customize_sns_position_post' ) ) {
        case 'top':
        case 'all':
          get_template_part( 'template-parts/sns-button' );
          break;
      } ?>



      <?php // ウィジェット：本文の上
      if ( is_active_sidebar( 'post-body-top' ) ): ?>
        <div class="widgets-post-body-top block">
          <?php dynamic_sidebar( 'post-body-top' ); ?>
        </div>
      <?php endif; ?>



      <!-- 本文 -->
      <div class="article-body article-body--single">
        <?php
        // 記事本文
        if ( empty( $post->post_content ) ) {
          echo '<p>本文がありません。</p>';
        } else {
          the_content();
        }

        // ページ分割時にページャーを表示
        $pager = array(
        	'before'         => '<nav class="pagination-single" role="navigation"><div class="nav-links">',
        	'after'          => '</div></nav>',
        	'link_before'    => '<span>',
        	'link_after'     => '</span>',
        	'next_or_number' => 'number',
        	'separator'      => '',
        	'pagelink'       => '%',
        );
        wp_link_pages( $pager );
        ?>
      </div>

    <?php endwhile; endif; ?>
  </article>
</main>



<?php // ウィジェット：本文の下
if ( is_active_sidebar( 'post-body-bottom' ) ): ?>
  <div class="widgets-post-body-bottom block">
    <?php dynamic_sidebar( 'post-body-bottom' ); ?>
  </div>
<?php endif; ?>



<?php // ツイート・シェアボタン：本文の下
switch ( get_theme_mod( 'customize_sns_position_post' ) ) {
  case 'none':
  case 'top':
    break;
  default:
    get_template_part( 'template-parts/sns-button' );
    break;
} ?>



<!-- ページ送り -->
<?php if ( get_next_post() || get_previous_post() ): ?>
  <ul class="article-pager block">
    <?php $next_post = get_next_post(); ?>
    <?php if ( $next_post ): ?>
      <li class="article-pager__post article-pager__post--next">
        <a href="<?php echo get_permalink( $next_post->ID ); ?>">
          <span class="article-pager__label article-pager__label--next">新しい記事</span>
          <span class="article-pager__title"><?php echo esc_html(
            mb_strimwidth( $next_post -> post_title, 0, 110, '…', 'UTF-8' ) ); ?></span>
        </a>
      </li>
    <?php endif; ?>
    <?php $prev_post = get_previous_post(); ?>
    <?php if ( $prev_post ): ?>
      <li class="article-pager__post article-pager__post--prev">
        <a href="<?php echo get_permalink( $prev_post->ID ); ?>">
          <span class="article-pager__label article-pager__label--prev">古い記事</span>
          <span class="article-pager__title"><?php echo esc_html(
            mb_strimwidth( $prev_post->post_title, 0, 110, '…', 'UTF-8' ) ); ?>
        </a>
      </li>
    <?php endif; ?>
  </ul>
<?php endif; ?>



<?php comments_template(); // コメント ?>



<?php // ウィジェット：下
if ( is_active_sidebar( 'post-bottom' ) ): ?>
  <div class="widgets-post-bottom">
    <?php dynamic_sidebar( 'post-bottom' ); ?>
  </div>
<?php endif; ?>



<?php get_footer(); // フッター ?>
