<div class="breadcrumb">
    <div itemscope itemtype="http://data-vocabulary.org/Breadcrumb" class="breadcrumb__dir breadcrumb__dir--home">
      <a href="<?php echo home_url('/' ); ?>" itemprop="url">
        <span itemprop="title">
          <?php echo get_theme_mod( 'customize_breadcrumb_home', 'ホーム' ); // カスタマイザー設定 ?>
        </span>
      </a>
    </div>

    <?php $blogurl = get_post_type_archive_link( get_post_type() ); ?>

    <?php if ( $blogurl !== home_url() && ! is_attachment() ): // 固定フロントページを使ってる場合 ?>
      <?php if( is_single() || is_category() || is_tag() || is_archive() ): ?>
        <div itemscope itemtype="http://data-vocabulary.org/Breadcrumb" class="breadcrumb__dir">
          <a href="<?php echo $blogurl ?>" itemprop="url">
            <span itemprop="title">
              <?php echo get_the_title( get_option( 'page_for_posts' ) ); ?>
            </span>
          </a>
        </div>
      <?php endif; ?>
    <?php endif; ?>

    <?php if ( is_category() ): // カテゴリーの場合 ?>

      <?php $cat = get_queried_object(); ?>
        <?php if ( $cat -> parent != 0 ): // カテゴリーの場合 ?>
          <?php $ancestors = array_reverse( get_ancestors( $cat -> cat_ID, 'category' ) ); ?>
          <?php foreach ( $ancestors as $ancestor ): ?>
            <div itemscope itemtype="http://data-vocabulary.org/Breadcrumb" class="breadcrumb__dir">
              <a href="<?php echo get_category_link( $ancestor ); ?>" itemprop="url">
                <span itemprop="title">
                  <?php echo get_cat_name( $ancestor ); ?>
                </span>
              </a>
            </div>
          <?php endforeach; ?>
        <?php endif; ?>

      <?php elseif( is_page() ): // 固定ページの場合 ?>

        <?php
        $categories = get_the_category( $post -> ID );
        $cat = $categories[0];
        ?>
        <?php if ( $cat -> parent != 0): ?>
          <?php $ancestors = array_reverse( get_ancestors( $cat -> cat_ID, 'category' ) ); ?>
          <?php foreach( $ancestors as $ancestor ): ?>
            <div itemscope itemtype="http://data-vocabulary.org/Breadcrumb" class="breadcrumb__dir">
              <a href="<?php echo get_category_link( $ancestor ); ?>" itemprop="url">
                <span itemprop="title">
                  <?php echo get_cat_name( $ancestor ); ?>
                </span>
              </a>
            </div>
          <?php endforeach; ?>
        <?php endif; ?>

        <?php if( $post -> post_parent != 0 ): // 親ページ ?>

          <?php $ancestors = array_reverse( get_post_ancestors( $post -> ID ) ); ?>
          <?php foreach ( $ancestors as $ancestor ): ?>
            <div itemscope itemtype="http://data-vocabulary.org/Breadcrumb" class="breadcrumb__dir">
              <a href="<?php echo get_permalink( $ancestor ); ?>" itemprop="url">
                <span itemprop="title">
                  <?php echo get_the_title( $ancestor ) ?>
                </span>
              </a>
            </div>
          <?php endforeach; ?>

        <?php endif; ?>

      <?php elseif ( is_attachment() ): // アタッチメントの場合 ?>

        <div class="breadcrumb__dir breadcrumb__dir--now">
          ファイル
        </div>

      <?php elseif ( is_single() ): // 記事の場合 ?>

        <?php
        $categories = get_the_category( $post->ID );
        $cat = $categories[0];
        ?>

        <?php if( $cat -> parent != 0 ): // 親カテゴリー ?>

          <?php $ancestors = array_reverse( get_ancestors( $cat -> cat_ID, 'category' ) ); ?>
          <?php foreach ( $ancestors as $ancestor ): ?>
            <div itemscope itemtype="http://data-vocabulary.org/Breadcrumb" class="breadcrumb__dir">
              <a href="<?php echo get_category_link( $ancestor ); ?>" itemprop="url">
                <span itemprop="title">
                  <?php echo get_cat_name( $ancestor ); ?>
                </span>
              </a>
            </div>
          <?php endforeach; ?>

        <?php endif; ?>

        <div itemscope itemtype="http://data-vocabulary.org/Breadcrumb" class="breadcrumb__dir">
          <a href="<?php echo get_category_link( $cat -> term_id ); ?>" itemprop="url">
            <span itemprop="title">
              <?php echo $cat-> cat_name; ?>
            </span>
          </a>
        </div>

      <?php endif; ?>

      <div class="breadcrumb__dir breadcrumb__dir--now">
        <?php the_title(); ?>
      </div>
  </div>