<?php
  
  /**
   * カスタマイザー：CSS設定
   */
 
  // 背景画像
  $bg_image              = esc_url( get_theme_mod( 'customize_bg_image',     false ) );
  $bg_image_repeat       = get_theme_mod( 'customize_bg_image_repeat',       'repeat');
  $bg_image_position_x   = get_theme_mod( 'customize_bg_image_position_x',   'left');
  $bg_image_position_y   = get_theme_mod( 'customize_bg_image_position_y',   'top');
  $bg_image_attachment   = get_theme_mod( 'customize_bg_image_attachment',   'fixed');
  
  // 基本項目
  $bgcolor               = get_theme_mod( 'customize_bgcolor',               '#f9f9f9' );
  $link_color            = get_theme_mod( 'customize_link_color',            '#03a9f4' );
  $link_visited_color    = get_theme_mod( 'customize_link_visited_color',    '#03a9f4' );
  $link_hover_color      = get_theme_mod( 'customize_link_hover_color',      '#03a9f4' );
  
  // ヘッダー
  $header_bgcolor               = get_theme_mod( 'customize_header_bgcolor',             '#1e73be' );
  $header_bg_image              = esc_url( get_theme_mod( 'customize_header_bg_image',   false ) );
  $header_bg_image_repeat       = get_theme_mod( 'customize_header_bg_image_repeat',     'repeat');
  $header_bg_image_position_x   = get_theme_mod( 'customize_header_bg_image_position_x', 'left');
  $header_bg_image_position_y   = get_theme_mod( 'customize_header_bg_image_position_y', 'top');
  $header_bg_image_attachment   = get_theme_mod( 'customize_header_bg_image_attachment', 'fixed');
  $header_title_color           = get_theme_mod( 'customize_header_title_color',         '#fff' );
  $header_border_t_color        = get_theme_mod( 'customize_header_border_t_color',      '#e1e1e1' );
  $header_border_t_show         = get_theme_mod( 'customize_header_border_t_show',       false );
  $logo_retina                  = get_theme_mod( 'customize_logo_retina',                false );
  $logo_height_sp               = get_theme_mod( 'customize_logo_height_sp',             true );
  
  // フッター
  $footer_bgcolor        = get_theme_mod( 'customize_footer_bgcolor',        '#fff' );
  $footer_border_t_color = get_theme_mod( 'customize_footer_border_t_color', '#e1e1e1' );
  $footer_border_t_show  = get_theme_mod( 'customize_footer_border_t_show',  true );
  
  // メインメニュー
  $hmenu_color           = get_theme_mod( 'customize_hmenu_color',           '#000' );
  $hmenu_hover_color     = get_theme_mod( 'customize_hmenu_hover_color',     '#000' );
  $hmenu_on_color        = get_theme_mod( 'customize_hmenu_on_color',        '#000' );
  $hmenu_bgcolor         = get_theme_mod( 'customize_hmenu_bgcolor',         '#fff' );
  $hmenu_hover_bgcolor   = get_theme_mod( 'customize_hmenu_hover_bgcolor',   '#fbfbfb' );
  $hmenu_on_bgcolor      = get_theme_mod( 'customize_hmenu_on_bgcolor',      '#fff' );
  
  $hmenu_on_border_color = get_theme_mod( 'customize_hmenu_on_border_color', '#1e73be' );
  $hmenu_on_border_show  = get_theme_mod( 'customize_hmenu_on_border_show',  true );
  $hmenu_border_lr_color = get_theme_mod( 'customize_hmenu_border_lr_color', '#f1f1f1' );
  $hmenu_border_lr_show  = get_theme_mod( 'customize_hmenu_border_lr_show',  true );
  $hmenu_border_t_color  = get_theme_mod( 'customize_hmenu_border_t_color',  '#e1e1e1' );
  $hmenu_border_t_show   = get_theme_mod( 'customize_hmenu_border_t_show',   true );
  $hmenu_border_b_color  = get_theme_mod( 'customize_hmenu_border_b_color',  '#e1e1e1' );
  $hmenu_border_b_show   = get_theme_mod( 'customize_hmenu_border_b_show',   true );
  
  $hmenu_show_sp         = get_theme_mod( 'customize_hmenu_show_sp',         true );
  
  // 右上のメニュー
  $emenu_color           = get_theme_mod( 'customize_emenu_color',           '#fff' );
  $emenu_hover_color     = get_theme_mod( 'customize_emenu_hover_color',     '#fff' );
  $emenu_on_color        = get_theme_mod( 'customize_emenu_on_color',        '#fff' );
  $emenu_on_border_color = get_theme_mod( 'customize_emenu_on_border_color', '#fff' );
  $emenu_on_border_show  = get_theme_mod( 'customize_emenu_on_border_show',  true );
  
  $emenu_show_sp         = get_theme_mod( 'customize_emenu_show_sp',         true );
  
  // パーツ
  $title_border_color    = get_theme_mod( 'customize_title_border_color', '#1e73be' );
  $title2_bgcolor        = get_theme_mod( 'customize_title2_bgcolor',     '#f5f5f5' );
  $title2_color          = get_theme_mod( 'customize_title2_color',       '#000' );
  $category_color        = get_theme_mod( 'customize_category_color',     '#1e73be' );
  
  // ウィジェット
  $widget_title_border_color = get_theme_mod( 'customize_widget_title_border_color', '#1e73be' );
  
  // レイアウトタイプ
  $layout_type           = get_theme_mod( 'customize_layout_type', 'a' );
  
  // サイズ
  $content_width         = get_theme_mod( 'customize_content_width', 640 );
  $side_width            = get_theme_mod( 'customize_side_width',    300 );
  $header_height         = get_theme_mod( 'customize_header_height', 80 );
  $hmenu_height          = get_theme_mod( 'customize_hmenu_height',  60 );
  
  
  
?>
<style>
<?php
// サイズ設定
// -------------------------------------------------------------------------------------------- ?>
.container,
.contents-wrapper {
  max-width: <?php echo $content_width + $side_width + 180; ?>px;
}
.footer__container {
  max-width: <?php echo $content_width + $side_width + 60; ?>px;
}
.content {
  max-width: <?php echo $content_width; ?>px;
}
.sidebar {
  width: <?php echo $side_width; ?>px;
}
<?php



// レイアウトタイプ
// -------------------------------------------------------------------------------------------- ?>
<?php // タイプC
if ( $layout_type == 'c' ): ?>
  .container {
    max-width: <?php echo $content_width + $side_width + 60; ?>px;
  }
  @media ( min-width: <?php echo $content_width + $side_width + 61; ?>px ) {
    .cover {
      width: 100%;
      max-width: 100%;
      background-color: <?php echo $bgcolor; ?>;
      <?php if ( $bg_image ): ?>
        background-image: url( "<?php echo $bg_image; ?>" );
      <?php endif; ?>
    }
    .cover a,
    .cover img {
      max-width: <?php echo $content_width + $side_width + 60; ?>px;
    }
  }
<?php // タイプD
elseif( $layout_type == 'd' ): ?>
  .container {
    max-width: <?php echo $content_width + $side_width + 60; ?>px;
  }
  .cover {
    width: 100%;
    max-width: 100%;
    background-color: <?php echo $bgcolor; ?>;
  }
  .cover img {
    width: 100%;
  }
<?php endif; ?>
<?php



// リンク色
// -------------------------------------------------------------------------------------------- ?>
.article-body a,
.comment-body a,
.textwidget a {
  color: <?php echo $link_color; ?>;
}
.article-body a:visited,
.comment-body a:visited,
.textwidget a:visited {
  color: <?php echo $link_visited_color; ?>;
}
.breadcrumb a:hover,
.widget a:hover,
.summary__link:hover,
.drawer__menu ul li a:hover,
.footer__bottom a:hover,
.article-body a:hover,
.comment-body a:hover,
.textwidget a:hover {
  color: <?php echo $link_hover_color; ?>;
}
<?php



// メインメニュー
// -------------------------------------------------------------------------------------------- ?>
.header {
  <?php if ( $hmenu_border_b_show ): // ボーダー ?>
    border-bottom-color: <?php echo $hmenu_border_b_color; ?>;
  <?php else: ?>
    border-bottom: none;
  <?php endif; ?>
}
.header__bottom {
  background-color: <?php echo $hmenu_bgcolor; ?>;
  <?php if ( $hmenu_border_t_show ): // ボーダー ?>
    border-top-color: <?php echo $hmenu_border_t_color; ?>;
  <?php else: ?>
    border-top: none;
  <?php endif; ?>
}
<?php if ( ! $hmenu_show_sp ): ?>
  @media ( max-width: 960px ) {
    .header__bottom {
      display: none;
    }
  }
<?php endif; ?>
.header-menu > ul > li,
.header-menu > ul > li:first-child {
  <?php if ( $hmenu_border_lr_show ): // ボーダー ?>
    border-color: <?php echo $hmenu_border_lr_color; ?> !important;
  <?php else: ?>
    border: none;
  <?php endif; ?>
}

  @media (max-width: 600px) {
    <?php if ( $hmenu_border_b_show): // ボーダー ?>
      .header-menu > ul {
        border-bottom-color: <?php echo $hmenu_border_b_color; ?>;
      }
    <?php endif; ?>
    <?php if ( $hmenu_border_lr_show ): ?>
      .header-menu > ul > li {
        border-bottom-color: 1px solid <?php echo $hmenu_border_lr_color; ?>;
      }
    <?php else: ?>
      .header-menu-wrap .header-menu > ul > li {
        border-bottom: none !important;
      }
    <?php endif; ?>
  }

.header-menu > ul > li > a {
  color: <?php echo $hmenu_color ?>;
}

.header-menu > ul > li > a:hover {
  color: <?php echo $hmenu_hover_color ?>;
  background-color: <?php echo $hmenu_hover_bgcolor; ?>;
}

.header-menu > ul > li.current-menu-item > a,
.header-menu > ul > li.current_page_parent > a {
  color: <?php echo $hmenu_on_color ?>;
  background-color: <?php echo $hmenu_on_bgcolor; ?>;
  <?php if ( $hmenu_on_border_show ): // ボーダー ?>
    border-color: <?php echo $hmenu_on_border_color; ?>;
  <?php else: ?>
    border-color: transparent;
  <?php endif; ?>
}
<?php
  
  
  
// 右上のメニュー
// -------------------------------------------------------------------------------------------- ?>
<?php if ( ! $emenu_show_sp ): ?>
  @media ( max-width: 600px ) {
    .header__top__right {
      display: none;
    }
  }
<?php endif; ?>
.extra-menu > ul > li > a {
  color: <?php echo $emenu_color; ?>;
}
.extra-menu > ul > li > a:hover {
  color: <?php echo $emenu_hover_color; ?>;
}
.extra-menu > ul > li.current-menu-item > a,
.extra-menu > ul > li.current_page_parent > a {
  color: <?php echo $emenu_on_color; ?>;
  <?php if ( $emenu_on_border_show ): // ボーダー ?>
    border-color: <?php echo $emenu_on_border_color; ?>;
  <?php else: ?>
    border-color: transparent;
  <?php endif; ?>
}
<?php


  
// ヘッダー
// -------------------------------------------------------------------------------------------- ?>
.header__top {
  background-color: <?php echo $header_bgcolor; ?>;
  <?php if ( $header_bg_image ): ?>
    background-image: url( "<?php echo $header_bg_image; ?>" );
    background-repeat: <?php echo $header_bg_image_repeat; ?>;
    background-position: <?php echo $header_bg_image_position_x; ?> <?php echo $header_bg_image_position_y; ?>;
  <?php endif; ?>
}
<?php // ヘッダー：サイトのタイトル ?>
.header-logo a,
.header-logo a:hover {
  color: <?php echo $header_title_color; ?>;
}
<?php // ヘッダー：ロゴ画像の高さ ?>
.header-logo__img {
  max-height: <?php echo $header_height - 30; ?>px;
  <?php if ( ! $logo_retina ): ?>
    height: auto;
  <?php endif; ?>
}
<?php if ( $logo_height_sp ): ?>
@media ( max-width: 961px ) {
  .header-logo__img {
    max-height: 40px;
  }
}
<?php endif; ?>
<?php
  
  
  
// その他配色
// -------------------------------------------------------------------------------------------- ?>
<?php // ウィジェットタイトル ?>
.widget-title {
  border-color: <?php echo $widget_title_border_color; ?>;
}
<?php // 見出し ?>
.article-body h2,
.article-body h3,
.textwidget h2,
.textwidget h3 {
  border-color: <?php echo $title_border_color; ?>;
}
.article-body h4::before,
.textwidget h4::before {
  color: <?php echo $title_border_color; ?>;
}
<?php // 見出し2 ?>
.article-body h2,
.textwidget h2 {
  background-color: <?php echo $title2_bgcolor; ?>;
  color: <?php echo $title2_color; ?>;
}
<?php // カテゴリーラベル ?>
.article-tags--categories a,
.article-tags--categories a:hover {
  background-color: <?php echo $category_color; ?>;
  border-color: <?php echo $category_color; ?>;
}
<?php // ヘッダーアイコン ?>
.header-search__button {
  color: <?php echo $emenu_color; ?>;
}
.drawer__icon span,
.drawer__icon span::before,
.drawer__icon span::after {
  background-color: <?php echo $emenu_color; ?>;
}
<?php
  
  
  
// PC
// -------------------------------------------------------------------------------------------- ?>
@media ( min-width: 961px ) {
  <?php // 背景色・画像 ?>
  body {
    <?php if ( $layout_type == 'a' || $layout_type == 'b' ): // タイプA・Bのみ ?>
      background-color: <?php echo $bgcolor; ?>;
      <?php if ( $bg_image ): // 背景画像 ?>
        background-image: url( "<?php echo $bg_image; ?>" );
        background-repeat: <?php echo $bg_image_repeat; ?>;
        background-position: <?php echo $bg_image_position_x; ?> <?php echo $bg_image_position_y; ?>;
        background-attachment: <?php echo $bg_image_attachment; ?>;
      <?php endif; ?>
    <?php endif; ?>
  }
  <?php if ( $header_border_t_show ): // ヘッダーの上のボーダー ?>
    .header {
      border-top: 5px solid <?php echo $header_border_t_color; ?>;
    }
  <?php endif; ?>
  <?php // ヘッダーの高さ ?>
  .header__top__container,
  .header__top__container::before {
    min-height: <?php echo $header_height; ?>px;
  }
  <?php // メインメニューの高さ ?>
  .header-menu > ul > li {
    min-height: <?php echo $hmenu_height; ?>px;
  }
}
<?php
  
  
  
// タブレット
// -------------------------------------------------------------------------------------------- ?>

<?php
  
  
  
// PC・タブレット
// -------------------------------------------------------------------------------------------- ?>
@media ( min-width: 601px ) {
  <?php // フッター ?>
  .footer {
    background-color: <?php echo $footer_bgcolor; ?>;
    <?php if ( $footer_border_t_show ): // ボーダー ?>
      border-top-color: <?php echo $footer_border_t_color; ?>;
    <?php else: ?>
      border-top: none;
    <?php endif; ?>
  }
}
<?php
  
  
  
// タブレット
// -------------------------------------------------------------------------------------------- ?>
@media ( max-width: 960px ) {
  .contents-container,
  .content,
  .sidebar,
  .footer__container {
    width: auto;
    max-width: <?php echo $content_width; ?>px;
  }
  .widget a {
    color: <?php echo $link_color; ?>;
  }
  .widget_recent_entries_plus a:hover {
    color: <?php echo $link_hover_color; ?>;
  }
}
</style>
