<?php
// カスタマイザー設定：アイキャッチ画像の位置
switch ( get_theme_mod( 'customize_eyecatch_summary', 'left' ) ) {
  case 'right':
  case 'right2':
    $layout = 'right';
    break;
  case 'none':
    $layout = 'none';
    break;
  default:
    $layout = 'left';
    break;
}

// 代替画像を使用
switch ( get_theme_mod( 'customize_eyecatch_summary', 'left' ) ) {
  case 'left':
  case 'right':
  case 'none':
    $dummy  = null;
    break;
  default:
    $dummy  = 1;
    break;
}
?>

<section class="block">
  <?php if ( have_posts() ): ?>
    <div class="summary">
      <?php while ( have_posts() ): the_post(); ?>
        <div class="summary__article">
          <a href="<?php the_permalink(); ?>" class="summary__link">
            <?php if ( has_post_thumbnail() && ( $layout == 'left' || $layout == 'right' ) ): ?>
              <div class="summary__eyecatch summary__eyecatch--<?php echo $layout; ?>">
                <?php the_post_thumbnail( 'thumbnail' ); ?>
              </div>
            <?php elseif ( isset($dummy) ): // 代替画像 ?>
              <div class="summary__eyecatch summary__eyecatch--<?php echo $layout; ?>">
                <img src="<?php echo get_template_directory_uri(); ?>/images/no-image.png" width="150" alt="">
              </div>
            <?php endif; ?>
            
            <div class="summary__text">
              <h2 class="summary__text__title">
                <?php the_title(); // タイトル ?>
              </h2>
              <p class="summary__text__date">
                <time datetime="<?php the_time( 'c' ); ?>">
                  <?php the_time( get_option( 'date_format' ) ); // 投稿日 ?>
                </time>
                <?php if ( comments_open() || pings_open() ): // コメント数 ?>
                  <span class="summary__text__comment"><?php comments_number( '0', '1', '%' ); ?></span>
                <?php endif; ?>
              </p>
              <div class="summary__text__excerpt">
                <?php the_excerpt(); ?>
              </div>
            </div>
          </a>
        </div>
      <?php endwhile; ?>
    </div>
  <?php else: ?>
    <p>記事はありません</p>
  <?php endif; ?>
</section>



<?php // ページャー
$pager = array(
  'mid_size' => 2,
	'prev_text' => __( '前' ),
	'next_text' => __( '次' ),
);
the_posts_pagination( $pager ); ?>
